Loading...
Searching...
No Matches
nanoflann::KDTreeBaseClass< Derived, Distance, DatasetAdaptor, DIM, index_t >::Node Struct Reference

## Public Attributes

union { |
struct leaf { |
Offset left |
Offset right |
| Indices of points in leaf node.
} lr
struct nonleaf { |
Dimension divfeat |
| Dimension used for subdivision. The values used for subdivision.
DistanceType divlow |
DistanceType divhigh |
} sub
} | node_type
Node * | child1 = nullptr
Node * | child2 = nullptr

## Member Data Documentation

## child1

template<class Derived, typename Distance, class DatasetAdaptor, int32_t DIM = -1, typename index_t = uint32_t>

Node* nanoflann::KDTreeBaseClass< Derived, Distance, DatasetAdaptor, DIM, index_t >::Node::child1 = nullptr

Child nodes (both=nullptr mean its a leaf node)

## [union]

union { ... } nanoflann::KDTreeBaseClass< Derived, Distance, DatasetAdaptor, DIM, index_t >::Node::node_type

Union used because a node can be either a LEAF node or a non-leaf node, so both data fields are never used simultaneously

The documentation for this struct was generated from the following file:

- include/nanoflann.hpp